/*
	ExternalInterface test code for GNU Flash Player
	Written (2016) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released to public domain under Creative Commons Zero 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
	
	Once this Flash code is run, it tries to call three JavaScript function
	"error_call", "securityerror_call", and "hello_call"; then print their
	return type and value.
*/
var retval;

// Main program
while(true) {
	// Check availability of ExternalInterface, and abort if unavailable
	if(!flash.external.ExternalInterface.available) {
		trace("caller: ExternalInterface is unavailable, aborting");
		break;
	}
	
	// Calling JavaScript functions
	retval = flash.external.ExternalInterface.call("error_call");
	trace("caller: JavaScript\'s error_call() returned type " + typeof(retval) + " value: " + retval);
	
	retval = flash.external.ExternalInterface.call("securityerror_call");
	trace("caller: JavaScript\'s securityerror_call() returned type " + typeof(retval) + " value: " + retval);
	
	retval = flash.external.ExternalInterface.call("hello_call");
	trace("caller: JavaScript\'s hello_call() returned type " + typeof(retval) + " value: " + retval);
	
	break;
}
